package contract_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type ContractGetdocumentpasswordRequest struct {
	// <ext>core:true;format:string;deprecated:false</ext> 【签署文档id】签署文档id 【作用】 指定需查询解密密码的签署文档
	DocumentId *int64 `json:"documentId,omitempty"`
}

func (obj ContractGetdocumentpasswordRequest) GetUrl() string {
	return "/contract/getDocumentPassword"
}

func (obj ContractGetdocumentpasswordRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("documentId", obj.DocumentId)
	return parameter
}
